function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-tertiary);\n                ",
        ": var(--surface-solid-default);\n                ",
        ": var(--text-primary);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-tertiary);\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(--text-primary);\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-tertiary);\n                ",
        ": var(--surface-accent);\n                ",
        ": var(--text-primary);\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-tertiary);\n                ",
        ": var(--surface-positive);\n                ",
        ": var(--text-primary);\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-tertiary);\n                ",
        ": var(--surface-warning);\n                ",
        ": var(--text-primary);\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-tertiary);\n                ",
        ": var(--surface-negative);\n                ",
        ": var(--text-primary);\n            "
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-transparent-tertiary);\n                ",
        ": var(--surface-info);\n                ",
        ": var(--text-primary);\n            "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 128;\n                ",
        ": 8rem;\n                ",
        ": 8rem;\n                ",
        ": 0.25rem;\n                ",
        ": 4;\n                ",
        ": var(--plasma-typo-h2-font-family);\n                ",
        ": var(--plasma-typo-h2-font-size);\n                ",
        ": var(--plasma-typo-h2-font-style);\n                ",
        ": var(--plasma-typo-h2-bold-font-weight);\n                ",
        ": var(--plasma-typo-h2-letter-spacing);\n                ",
        ": var(--plasma-typo-h2-line-height);\n            "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 88;\n                ",
        ": 5.5rem;\n                ",
        ": 5.5rem;\n                ",
        ": 0.25rem;\n                ",
        ": 4;\n                ",
        ": var(--plasma-typo-h5-font-family);\n                ",
        ": var(--plasma-typo-h5-font-size);\n                ",
        ": var(--plasma-typo-h5-font-style);\n                ",
        ": var(--plasma-typo-h5-bold-font-weight);\n                ",
        ": var(--plasma-typo-h5-letter-spacing);\n                ",
        ": var(--plasma-typo-h5-line-height);\n            "
    ]);
    _templateObject8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 56;\n                ",
        ": 3.5rem;\n                ",
        ": 3.5rem;\n                ",
        ": 0.125rem;\n                ",
        ": 2;\n                ",
        ": var(--plasma-typo-body-l-font-family);\n                ",
        ": var(--plasma-typo-body-l-font-size);\n                ",
        ": var(--plasma-typo-body-l-font-style);\n                ",
        ": var(--plasma-typo-body-l-body-font-weight);\n                ",
        ": var(--plasma-typo-body-l-letter-spacing);\n                ",
        ": var(--plasma-typo-body-l-line-height);\n            "
    ]);
    _templateObject9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 48;\n                ",
        ": 3rem;\n                ",
        ": 3rem;\n                ",
        ": 0.125rem;\n                ",
        ": 2;\n                ",
        ": var(--plasma-typo-body-m-font-family);\n                ",
        ": var(--plasma-typo-body-m-font-size);\n                ",
        ": var(--plasma-typo-body-m-font-style);\n                ",
        ": var(--plasma-typo-body-m-body-font-weight);\n                ",
        ": var(--plasma-typo-body-m-letter-spacing);\n                ",
        ": var(--plasma-typo-body-m-line-height);\n            "
    ]);
    _templateObject10 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject11() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 32;\n                ",
        ": 2.25rem;\n                ",
        ": 2.25rem;\n                ",
        ": 0.125rem;\n                ",
        ": 2;\n                ",
        ": var(--plasma-typo-body-s-font-family);\n                ",
        ": var(--plasma-typo-body-s-font-size);\n                ",
        ": var(--plasma-typo-body-s-font-style);\n                ",
        ": var(--plasma-typo-body-s-body-font-weight);\n                ",
        ": var(--plasma-typo-body-s-letter-spacing);\n                ",
        ": var(--plasma-typo-body-s-line-height);\n            "
    ]);
    _templateObject11 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject12() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 24;\n                ",
        ": 1.5rem;\n                ",
        ": 1.5rem;\n                ",
        ": 0.125rem;\n                ",
        ": 2;\n                ",
        ": var(--plasma-typo-body-xs-font-family);\n                ",
        ": var(--plasma-typo-body-xs-font-size);\n                ",
        ": var(--plasma-typo-body-xs-font-style);\n                ",
        ": var(--plasma-typo-body-xs-body-font-weight);\n                ",
        ": var(--plasma-typo-body-xs-letter-spacing);\n                ",
        ": var(--plasma-typo-body-xs-line-height);\n            "
    ]);
    _templateObject12 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject13() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 16;\n                ",
        ": 1rem;\n                ",
        ": 1rem;\n                ",
        ": 0.125rem;\n                ",
        ": 2;\n                ",
        ": var(--plasma-typo-body-xxs-font-family);\n                ",
        ": var(--plasma-typo-body-xxs-font-size);\n                ",
        ": var(--plasma-typo-body-xxs-font-style);\n                ",
        ": var(--plasma-typo-body-xxs-body-font-weight);\n                ",
        ": var(--plasma-typo-body-xxs-letter-spacing);\n                ",
        ": var(--plasma-typo-body-xxs-line-height);\n            "
    ]);
    _templateObject13 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, progressBarCircularTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'default',
        size: 'm'
    },
    variations: {
        view: {
            default: css(_templateObject(), progressBarCircularTokens.backgroundStroke, progressBarCircularTokens.progressStroke, progressBarCircularTokens.contentColor),
            secondary: css(_templateObject1(), progressBarCircularTokens.backgroundStroke, progressBarCircularTokens.progressStroke, progressBarCircularTokens.contentColor),
            accent: css(_templateObject2(), progressBarCircularTokens.backgroundStroke, progressBarCircularTokens.progressStroke, progressBarCircularTokens.contentColor),
            positive: css(_templateObject3(), progressBarCircularTokens.backgroundStroke, progressBarCircularTokens.progressStroke, progressBarCircularTokens.contentColor),
            warning: css(_templateObject4(), progressBarCircularTokens.backgroundStroke, progressBarCircularTokens.progressStroke, progressBarCircularTokens.contentColor),
            negative: css(_templateObject5(), progressBarCircularTokens.backgroundStroke, progressBarCircularTokens.progressStroke, progressBarCircularTokens.contentColor),
            info: css(_templateObject6(), progressBarCircularTokens.backgroundStroke, progressBarCircularTokens.progressStroke, progressBarCircularTokens.contentColor)
        },
        size: {
            xxl: css(_templateObject7(), progressBarCircularTokens.size, progressBarCircularTokens.height, progressBarCircularTokens.width, progressBarCircularTokens.strokeWidth, progressBarCircularTokens.strokeSize, progressBarCircularTokens.contentFontFamily, progressBarCircularTokens.contentFontSize, progressBarCircularTokens.contentFontStyle, progressBarCircularTokens.contentFontWeight, progressBarCircularTokens.contentLetterSpacing, progressBarCircularTokens.contentLineHeight),
            xl: css(_templateObject8(), progressBarCircularTokens.size, progressBarCircularTokens.height, progressBarCircularTokens.width, progressBarCircularTokens.strokeWidth, progressBarCircularTokens.strokeSize, progressBarCircularTokens.contentFontFamily, progressBarCircularTokens.contentFontSize, progressBarCircularTokens.contentFontStyle, progressBarCircularTokens.contentFontWeight, progressBarCircularTokens.contentLetterSpacing, progressBarCircularTokens.contentLineHeight),
            l: css(_templateObject9(), progressBarCircularTokens.size, progressBarCircularTokens.height, progressBarCircularTokens.width, progressBarCircularTokens.strokeWidth, progressBarCircularTokens.strokeSize, progressBarCircularTokens.contentFontFamily, progressBarCircularTokens.contentFontSize, progressBarCircularTokens.contentFontStyle, progressBarCircularTokens.contentFontWeight, progressBarCircularTokens.contentLetterSpacing, progressBarCircularTokens.contentLineHeight),
            m: css(_templateObject10(), progressBarCircularTokens.size, progressBarCircularTokens.height, progressBarCircularTokens.width, progressBarCircularTokens.strokeWidth, progressBarCircularTokens.strokeSize, progressBarCircularTokens.contentFontFamily, progressBarCircularTokens.contentFontSize, progressBarCircularTokens.contentFontStyle, progressBarCircularTokens.contentFontWeight, progressBarCircularTokens.contentLetterSpacing, progressBarCircularTokens.contentLineHeight),
            s: css(_templateObject11(), progressBarCircularTokens.size, progressBarCircularTokens.height, progressBarCircularTokens.width, progressBarCircularTokens.strokeWidth, progressBarCircularTokens.strokeSize, progressBarCircularTokens.contentFontFamily, progressBarCircularTokens.contentFontSize, progressBarCircularTokens.contentFontStyle, progressBarCircularTokens.contentFontWeight, progressBarCircularTokens.contentLetterSpacing, progressBarCircularTokens.contentLineHeight),
            xs: css(_templateObject12(), progressBarCircularTokens.size, progressBarCircularTokens.height, progressBarCircularTokens.width, progressBarCircularTokens.strokeWidth, progressBarCircularTokens.strokeSize, progressBarCircularTokens.contentFontFamily, progressBarCircularTokens.contentFontSize, progressBarCircularTokens.contentFontStyle, progressBarCircularTokens.contentFontWeight, progressBarCircularTokens.contentLetterSpacing, progressBarCircularTokens.contentLineHeight),
            xxs: css(_templateObject13(), progressBarCircularTokens.size, progressBarCircularTokens.height, progressBarCircularTokens.width, progressBarCircularTokens.strokeWidth, progressBarCircularTokens.strokeSize, progressBarCircularTokens.contentFontFamily, progressBarCircularTokens.contentFontSize, progressBarCircularTokens.contentFontStyle, progressBarCircularTokens.contentFontWeight, progressBarCircularTokens.contentLetterSpacing, progressBarCircularTokens.contentLineHeight)
        }
    }
};
